# Uses of Interface
org.opensaml.xacml.ctx.ResourceType

Packages that use ResourceType
Package
Description
org.opensaml.xacml.ctx
XMLObject interfaces for XACML context schema.
org.opensaml.xacml.ctx.impl
XMLObject implementations for XACML context schema.

## Uses of ResourceType in org.opensaml.xacml.ctx

Methods in org.opensaml.xacml.ctx that return types with arguments of type ResourceType
Modifier and Type
Method
Description
`List<ResourceType>`
RequestType.`getResources()`
Gets the resources from the request.

## Uses of ResourceType in org.opensaml.xacml.ctx.impl

Classes in org.opensaml.xacml.ctx.impl that implement ResourceType
Modifier and Type
Class
Description
`class`
`ResourceTypeImpl`
Concrete implementation of `ResourceType`.
Fields in org.opensaml.xacml.ctx.impl with type parameters of type ResourceType
Modifier and Type
Field
Description
`private XMLObjectChildrenList<ResourceType>`
RequestTypeImpl.`resources`
The resources of the request.
Methods in org.opensaml.xacml.ctx.impl that return ResourceType
Modifier and Type
Method
Description
`ResourceType`
ResourceTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`ResourceType`
ResourceTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xacml.ctx.impl that return types with arguments of type ResourceType
Modifier and Type
Method
Description
`List<ResourceType>`
RequestTypeImpl.`getResources()`
Gets the resources from the request.